import CheckboxWithMode from "./WithMode";
import { withFormItem, withDataSource, withOptions } from "../../dataSourceForm/utils";
var Checkbox = withFormItem(CheckboxWithMode, {
  otherFormItemProps: {
    valuePropName: 'checked'
  }
});

// 包装formItem层
var CheckboxGroupWithFormItem = withFormItem(CheckboxWithMode.Group);

// 包装Options层
var CheckboxGroupWithOptions = withOptions(CheckboxGroupWithFormItem);

// 包装dataSource层
var CheckboxGroupWithDataSource = withDataSource(CheckboxGroupWithOptions);
Checkbox.Group = CheckboxGroupWithDataSource;
export default Checkbox;